Name:		libodraw
Version:	20171105
Release:	1%{?dist}
Summary:	Library to access optical disc (split) RAW formats
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libodraw//wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool byacc flex

%description
libodraw is a library to access optical disc (split) RAW formats

%package devel
Summary: Header files and libraries for developing applications for libodraw
Group: Development/Libraries
Requires: libodraw = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libodraw.

%package tools
Summary: Several tools for accessing optical disc (split) RAW formats
Group: Applications/System
Requires: libodraw = %{version}-%{release} openssl 
BuildRequires: openssl-devel 

%description tools
Several tools for accessing optical disc (split) RAW formats

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libodraw.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/odrawinfo
%attr(755,root,root) %{_bindir}/odrawverify
%{_mandir}/man1/*

%changelog
* Sun Nov  5 2017 Lawrence R. Rogers <lrr@cert.org> - 20171105-1
* Release 20171105-1
	Version from 20171105.

* Fri Feb 17 2017 Joachim Metz <joachim.metz@gmail.com> 20170217-1
- Auto-generated

